## libscw 0.4.4-1osso4

=== debian/changelog ===
libscw (0.4.4-1osso4) unstable; urgency=low

  * When ScwView height changes, the widget will now correctly scroll
    on the last row, if the view is currently on the last row. NB
    #31706

 -- Mika Niinisto <mika.niinisto@gmail.com>  Thu,  3 Aug 2006 16:15:03 +0300

libscw (0.4.4-1osso3) unstable; urgency=low

  * Icons are now on correct rows.

 -- Mika Niinisto <mika.niinisto@gmail.com>  Tue, 20 Jun 2006 20:19:39 +0300

libscw (0.4.4-1osso2) unstable; urgency=low

  * Added "invert-panning" property to be able to devide which
    way the panning works.
  * Optimatization to size request, no longer uses g_list_nth which
    would cause the widget slow down expotentially in some situations,
    instead iterates through the rows.

 -- Mika Niinisto <mika.niinisto@gmail.com>  Fri, 16 Jun 2006 12:49:30 +0300

libscw (0.4.4-1osso1.2) unstable; urgency=low

  * Added build dependency to gtk-doc-tools

 -- Mika Niinisto <mika.niinisto@gmail.com>  Thu, 15 Jun 2006 13:03:40 +0300

libscw (0.4.4-1osso1) unstable; urgency=low

  * Upstream release 0.4.4
  * Fixed a memory leak with prelight PangoAttribute filterings

 -- Mika Niinisto <mika.niinisto@gmail.com>  Wed, 14 Jun 2006 21:36:06 +0300

libscw (0.4.3-1osso2) unstable; urgency=low

  * scw/scwview.c: Removed incorrect g_object_unrefs for embedded icons.

 -- Mika Niinisto <mika.niinisto@gmail.com>  Mon,  5 Jun 2006 12:08:31 +0300

libscw (0.4.3-1osso1.2) unstable; urgency=low

  * scw/scwview.c: Fixed memory leaks in action signal emission, by removing
    the g_strdup calls for signal parameters. Fixed leaks in parsing actions,
    the action attribute list was not freed. Fixed parsing of action locations
    and ids with UTF-8 characters, partially. Prelights are still sometimes
    on incorrect positions. Fixed a memory leak in drawing rows, while skipping
    a hidden column, the GdkRectangle wasn't being freed. Hopefully it's now
    leak free.

 -- Mika Niinisto <mika.niinisto@gmail.com>  Thu,  1 Jun 2006 15:29:48 +0300

libscw (0.4.3-1osso1.1) unstable; urgency=low

  * fixed bug 31214

 -- Sergey Lapin <ext-sergey.lapin@nokia.com>  Tue, 30 May 2006 15:08:07 +0300

libscw (0.4.3-1osso1) unstable; urgency=low

  * scw/scwview.c: Changed panning to work as it works on the
    other applications on maemo platform. Thanks Lassi. Fixed
    a major memory leak in expose event.

 -- Mika Niinisto <mika.niinisto@gmail.com>  Fri,  5 May 2006 18:05:42 +0300

libscw (0.4.3) unstable; urgency=low

  * New upstream release

 -- Mika Niinisto <mika.niinisto@gmail.com>  Thu,  6 Apr 2006 10:08:21 +0300

libscw (0.4.2-1osso3) unstable; urgency=low

  * Fixes a memory leak when replacing existing model

 -- Mika Niinisto <mika.niinisto@gmail.com>  Tue, 28 Mar 2006 19:27:00 +0300

libscw (0.4.2-1osso2) unstable; urgency=low

  * Applied a patch from upstream to enhance the hide/show patch

 -- Mika Niinisto <mika.niinisto@gmail.com>  Tue, 28 Mar 2006 13:27:57 +0300

libscw (0.4.2-1osso1) unstable; urgency=low

  * Applied a small patch to fix column hide/show functionality

 -- Mika Niinisto <mika.niinisto@gmail.com>  Fri, 24 Mar 2006 19:22:05 +0200

libscw (0.4.2) unstable; urgency=low

  * New upstream release

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed, 22 Mar 2006 19:59:18 +0200

libscw (0.1-2) unstable; urgency=low

  * Debug package added

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu,  9 Feb 2006 18:28:01 +0200

libscw (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 26 Jan 2006 11:04:47 +0200
