=== debian/control ===
Source: libscw
Priority: optional
Maintainer: Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, libglib2.0-dev, libgtk2.0-dev, gtk-doc-tools
Standards-Version: 3.6.0

Package: libscw-dev
Section: devel
Architecture: any
Depends: libscw (= ${Source-Version})
Description: widget set for chat applications (developement files)
 widget set for chat applications (developement files)

Package: libscw-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget set for chat applications (unstripped version)
 widget set for chat applications (unstripped version)

Package: libscw
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget set for chat applications
 widget set for chat applications
