## libscw 0.4.6-1osso105

=== debian/changelog ===
libscw (0.4.6-1osso105) unstable; urgency=low

  * Minor memory leak fix (one liner) which stacks up very
    fast.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 16 Oct 2006 17:09:31 +0300

libscw (0.4.6-1osso104) unstable; urgency=low

  * Copied text from widget is actually nullified from clipboard
    now, if the selection is reseted.
  * Selections should no longer include hidden columns
  * Selections should no longer contain carbage chars
  * New interaction type, SCW_INTERACTION_SMART_SELECT, which
    makes the selection initiation require double- or triple-
    click. By default the widget pans. Related to NB#35725.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 10 Oct 2006 18:31:02 +0300

libscw (0.4.6-1osso103) unstable; urgency=low

  * Icon rendering done only when icon size is changed or new icons
    are inserted. Very big optimatization in rendering and resizing.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  9 Oct 2006 17:38:05 +0300

libscw (0.4.6-1osso102) unstable; urgency=low

  * Crash in selecting a full row with a column hidden fixed.
    NB#42103
  * Fixed scrolling bug. A new check was preventing the widget
    being scrolled.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  6 Oct 2006 10:53:05 +0300

libscw (0.4.6-1osso101) unstable; urgency=low

  * dependency for -dbg package fixed

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue,  3 Oct 2006 12:08:18 +0300

libscw (0.4.6-1osso100) unstable; urgency=low

  * Corrected icon placement on rows.
  * Corrected icon drawing, using icon actual size in draw
    instead of expected size. Fixes NB#40998.
  * Fix (by upstream) NB#38895.
  * Fix crash in scw_view_select_rows.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 26 Sep 2006 15:23:07 +0300

libscw (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 26 Sep 2006 11:56:20 +0300

libscw (0.4.4-1osso102) unstable; urgency=low

  * Fixed UTF-8 problems, by removing the UTF-8 offset calculations,
    PangoAttribute doesn't work with chars, it works by bytes. Fixes
    NB#37817

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 14 Sep 2006 17:50:12 +0300

libscw (0.4.4-1osso101) unstable; urgency=low

  * Added scw_view_select_rows function to enable selecting of
    certain row range. This can be used for instance with search
    functionality to hilite results. Related to NB#32865.
  * Added one more gtk_widget_queue_draw call to fix drawing glitch
    in selecting text. NB#37409.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 15 Aug 2006 20:23:34 +0300
