=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libscw-dbg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libscw (= ${Source-Version})
 Description: widget set for chat applications (unstripped version)
  widget set for chat applications (unstripped version)
