## libscw 0.4.6-1osso107

=== debian/changelog ===
libscw (0.4.6-1osso107) unstable; urgency=low

  * Optimized icon lookup and resizing. Fixes: NB#46424

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 24 Nov 2006 16:13:46 +0200

libscw (0.4.6-1osso106) unstable; urgency=low

  * Scroll to end if VKB is popped out and we only have 8 - 12
    messages. Fixes: NB#43915
  * Get correct coordinates for each char glyph representing
    an icon. Fixes: NB#47543
  * Scroll while selecting text in y-axis. Fixes: NB#46397

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 21 Nov 2006 18:21:11 +0200
