## libscw 0.4.6-1osso110

=== debian/changelog ===
libscw (0.4.6-1osso110) unstable; urgency=low

  * scw/scwview.c: Fix scw_view_select_rows to invalidate the selected
    region again. Fixes: NB#62091
  * Don't leak Graphic Context references when painting isn't done in
    expose.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  3 Sep 2007 16:42:09 +0300

libscw (0.4.6-1osso109) unstable; urgency=low

  * Add maemo specific popup menu support. This is conditionally built
    built. It's enabled by default.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 23 Apr 2007 17:48:33 +0300

libscw (0.4.6-1osso108) unstable; urgency=low

  * Fixed scw_view_select_rows, so it can actually be used to
    select a range of rows.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 23 Apr 2007 17:00:52 +0300
