## libscw 0.4.6-1osso116

=== debian/changelog ===
libscw (0.4.6-1osso116) unstable; urgency=low

  * scw/scwview.c: (scw_view_button_release), for maemo specific 
    functionality, check the event area
    Fixes: NB#85011

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 28 Apr 2008 19:42:03 +0300

libscw (0.4.6-1osso115) unstable; urgency=low

  * scw/scwview.c: (scw_view_init), for maemo specific functionality,
    gtk_widget_setup_tap_and_hold, remove the explicit setup. The setup
    should be done by the client, we just send the context activation
    signal if tap-and-hold signal's callback is called.
  * Fixes: NB#84903

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 24 Apr 2008 17:00:34 +0300

libscw (0.4.6-1osso114) unstable; urgency=low

  * scw/scwview.c: (scw_view_select_rows), use gtk_widget_queue_draw
    instead of invalidating selection box. This does not work if the
    widget has been scrolled. Fixes: NB#75667

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 12 Nov 2007 12:59:50 +0200

libscw (0.4.6-1osso113) unstable; urgency=low

  * scw/scwview.c: Do not use GTK 2.10 specific functions to create the
    selection targets. Instead, use a normal table in the private data
    and free the target name in destroy.
  * scw/scwview.c: When parsing actions and icons, be more gentle in
    handling them and prepend them into GList instead of appending. Helps
    a little bit when message has losts of icons or links. Still, long
    message parsing is too cumbersome.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 18 Oct 2007 19:30:54 +0300

libscw (0.4.6-1osso112) unstable; urgency=low

  * scw/scwview.c: Some minor memory leaks fixed, related to pango attr
    lists in motion, and context activation.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 26 Sep 2007 16:23:45 +0300

libscw (0.4.6-1osso111) unstable; urgency=low

  * scw/scwview.c: Make the X-Selection handling async, owner and request
    based. Fixes: NB#57469

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Sep 2007 10:29:13 +0300
