=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
 Architecture: any
 Depends: libscw (= ${Source-Version})
 Description: widget set for chat applications (development files)
- widget set for chat applications (development files)
+ Widget set for chat applications
+ .
+ Development files
 
 Package: libscw-dbg
 Section: libdevel
 Architecture: any
 Depends: libscw (= ${Source-Version})
-Description: widget set for chat applications (unstripped version)
+Description: widget set for chat applications. Debug symbols
  widget set for chat applications (unstripped version)
 
 Package: libscw
@@ -23,4 +25,4 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: widget set for chat applications
- widget set for chat applications
+ Widget set for chat applications.
